Difference between revisions of "Draft Array/de"

From FreeCAD Documentation
Jump to: navigation, search
(Created page with "Ein Intervall ist kein einfacher Abstand, sondern ein Vektor (x, y, z). Wenn mehr als ein Wert ungleich Null ist, wird die Kopie in der Hauptrichtung erstellt, aber auch in di...")
(Updating to match new version of source page)
 
(14 intermediate revisions by one other user not shown)
Line 18: Line 18:
 
==Beschreibung==
 
==Beschreibung==
  
 +
<div class="mw-translate-fuzzy">
 
Das [[Draft_Array|Entwurf Anordnung]] Werkzeug erzeugt eine orthogonale (3-Achsen), polare oder kreisförmige Anordnung aus einem ausgewählten Objekt.
 
Das [[Draft_Array|Entwurf Anordnung]] Werkzeug erzeugt eine orthogonale (3-Achsen), polare oder kreisförmige Anordnung aus einem ausgewählten Objekt.
 +
</div>
  
 
Dieses Werkzeug kann für 2D Formen verwendet werden, die mit der [[Draft_Workbench/de|Entwurf Arbeitsbereich]] erstellt wurden, aber auch für viele Arten von 3D Objekten, wie sie mit der [[Part_Workbench/de|Part Arbeitsbereich]] oder [[PartDesign_Workbench/de|PartDesign Arbeitsbereich]] erstellt wurden.
 
Dieses Werkzeug kann für 2D Formen verwendet werden, die mit der [[Draft_Workbench/de|Entwurf Arbeitsbereich]] erstellt wurden, aber auch für viele Arten von 3D Objekten, wie sie mit der [[Part_Workbench/de|Part Arbeitsbereich]] oder [[PartDesign_Workbench/de|PartDesign Arbeitsbereich]] erstellt wurden.
Line 33: Line 35:
 
{{Caption|Kreisförmiges Anordnung aus einem Festkörperobjekt}}
 
{{Caption|Kreisförmiges Anordnung aus einem Festkörperobjekt}}
  
 +
<div class="mw-translate-fuzzy">
 
==Kurzanleitung==
 
==Kurzanleitung==
 
# Wähle ein Objekt aus, mit dem Du ein Array erstellen möchtest.
 
# Wähle ein Objekt aus, mit dem Du ein Array erstellen möchtest.
 
# Drücke den {{Button|[[Image:Draft Array.svg|16px]] [[Draft Array/de|Entwurf Anordnung]]}} Schaltfläche .  Wenn kein Objekt gewählt ist, wirst Du aufgefordert, eines auszuwählen.
 
# Drücke den {{Button|[[Image:Draft Array.svg|16px]] [[Draft Array/de|Entwurf Anordnung]]}} Schaltfläche .  Wenn kein Objekt gewählt ist, wirst Du aufgefordert, eines auszuwählen.
 
# Das Anordnungsobjekt wird sofort erstellt. Du musst die Eigenschaften der Anordnung ändern, um die Anzahl und Richtung der erstellten Kopien zu ändern.
 
# Das Anordnungsobjekt wird sofort erstellt. Du musst die Eigenschaften der Anordnung ändern, um die Anzahl und Richtung der erstellten Kopien zu ändern.
 +
</div>
  
 
Jedes Element in der Anordnung ist ein genauer Klon des ursprünglichen Objekts, aber die gesamte Anordnung wird in Bezug auf Eigenschaften und Aussehen als eine einzige Einheit betrachtet.
 
Jedes Element in der Anordnung ist ein genauer Klon des ursprünglichen Objekts, aber die gesamte Anordnung wird in Bezug auf Eigenschaften und Aussehen als eine einzige Einheit betrachtet.
Line 74: Line 78:
 
Ein Intervall ist kein einfacher Abstand, sondern ein Vektor (x, y, z). Wenn mehr als ein Wert ungleich Null ist, wird die Kopie in der Hauptrichtung erstellt, aber auch in die anderen, von Null verschiedenen Richtungen verschoben.
 
Ein Intervall ist kein einfacher Abstand, sondern ein Vektor (x, y, z). Wenn mehr als ein Wert ungleich Null ist, wird die Kopie in der Hauptrichtung erstellt, aber auch in die anderen, von Null verschiedenen Richtungen verschoben.
  
For example, if {{PropertyData|Interval X}} is (2 m, 1 m, 1 m), and {{PropertyData|Number X}} is 3, it will create 3 copies in the X direction; the first copy will be at the original position, the second will be displaced 2 m on X, 1 m on Y, and 1 m on Z; the third copy will be displaced 4 m on X, 2 m on Y, and 2 m on Z. Each array element will be moved slightly to one side (Y direction) and up (Z direction) beside the main X direction.
+
Wenn z.B. {{PropertyData/de|Intervall X}} (2 m, 1 m, 1 m) ist und {{PropertyData/de|Anzahl X}} 3 ist, werden 3 Kopien in X Richtung erstellt; die erste Kopie befindet sich an der Originalposition, die zweite wird um 2 m auf X, 1 m auf Y und 1 m auf Z verschoben; die dritte Kopie wird um 4 m auf X, 2 m auf Y und 2 m auf Z verschoben. Jedes Array-Element wird neben der Haupt X Richtung leicht zur Seite (Y Richtung) und nach oben (Z Richtung) verschoben.
  
The {{PropertyData|Interval Axis}} property works in the same way. If the original shape lies on the XY plane, creating a polar array with {{PropertyData|Interval Axis}} (0, 0, z) allows you to make spiral arrangements.
+
Die Eigenschaft {{PropertyData/de|Intervallachse}} funktioniert auf die gleiche Weise. Wenn die ursprüngliche Form auf der XY Ebene liegt, wird mit {{PropertyData/de|Intervallachse}} eine polare Anordnung mit (0, 0, z) erzeugt die es dir ermöglicht, spiralförmige Anordnungen zu bilden.
  
<div class="mw-translate-fuzzy">
+
==Skripten==
==Scripting==
+
{{Emphasis|Siehe auch:}} [[Draft API/de|Draft API]] und [[FreeCAD Scripting Basics/de|FreeCAD Skripten Gundlagen]].
{{Emphasis|Siehe auch:}} [[Draft API/de|Draft API]] und [[FreeCAD Scripting Basics/de|FreeCAD Scripting Basics]].
 
</div>
 
  
The Array tool can be used in [[macros|macros]] and from the [[Python|Python]] console by using two different functions, depending on if you wish to obtain standalone copies of your base object, or a parametric array object that stays linked to the original object.
+
Das Anordnungswerkzeug kann in [[macros/de|Makros]] und von der [[Python/de|Python]] Konsole aus verwendet werden, indem du zwei verschiedene Funktionen verwendest, je nachdem, ob du eigenständige Kopien deines Basisobjekts oder ein parametrisches Anordnungsobjekt, das mit dem Originalobjekt verbunden bleibt, erhalten möchten.
  
<div class="mw-translate-fuzzy">
 
 
=== Einfache Anordnung ===
 
=== Einfache Anordnung ===
Für eine rechteckige Anordnung:
+
Die Grundsignatur lautet wie folgt:
</div>
 
  
 
{{Code|code=
 
{{Code|code=
Line 94: Line 94:
 
}}
 
}}
  
To create a rectangular array, use it like this:
+
Um eine rechteckige Anordnung zu erstellen, verwende es wie folgt:
  
 
{{Code|code=
 
{{Code|code=
Line 101: Line 101:
 
}}
 
}}
  
<div class="mw-translate-fuzzy">
+
Um eine Polaranordnung zu erstellen, verwende es wie folgt:
Für eine polare Anordnung:
 
</div>
 
  
 
{{Code|code=
 
{{Code|code=
Line 109: Line 107:
 
}}
 
}}
  
<div class="mw-translate-fuzzy">
+
* Erstellt eine Anordnung aus den in {{incode|objectslist}} enthaltenen Objekten, das ein einzelnes Objekt oder eine Liste von Objekten sein kann.
* Erstellt eine Anordnung der in einer Liste enthaltenen Objekte (das kann ein Objekt oder eine Liste von Objekten sein).
+
* Im Falle einer rechteckigen Anordnung bestimmen {{incode|xvector}}, {{incode|yvector}} und {{incode|zvector}} den Abstand zwischen den Basispunkten jeder Kopie in X-, Y- und Z-Richtung; und {{incode|xnum}}, {{incode|ynum}} und {{incode|znum}} sind die Anzahl der Kopien in der jeweiligen Richtung.
** Im Falle einer rechteckigen Anordnung mit ''xnum'' Iterationen in der X-Richtung mit Abstand ''xvector'' zwischen den Iterationen und das Gleiche für die Y-Richtung mit ''ynum'' und ''yvector'' sowie in die Z-Richtung mit ''znum'' und ''zvector'', falls diese Version verwendet wird
+
* Im Falle einer polaren Anordnung definiert {{incode|center}} den Mittelpunkt des Anordnungskreises, {{incode|totalangle}} ist der Winkel des Bogens in Grad, der mit Kopien abgedeckt werden soll, und {{incode|totalnum}} ist die Anzahl der Kopien, die um den Kreis herum angeordnet werden sollen, einschließlich des Originalobjekts.
** Im Falle einer polaren Anordnung ist ''center'' ein Vektor, ''totalangle'' ist der abzudeckende Winkel (in Grad) und ''totalnum'' ist die Anzahl der Objekte, inklusive dem Original.
+
* {{incode|array_list}} wird mit den neuen Kopien zurückgegeben.
* Diese Funktion erstellt eigenständige Kopien des Basisobjekts (der B-Objekte)
+
** {{incode|array_list}} ist entweder ein einzelnes Objekt oder eine Liste von Objekten, abhängig von der Eingabe {{incode|objectslist}}.
</div>
 
  
This function internally uses {{incode|Draft.move()}} and {{incode|Draft.rotate()}} with <code>copy=True</code>.
+
Diese Funktion verwendet intern {{incode|Draft.move()}} und {{incode|Draft.rotate()}} mit <code>copy=True</code>.
  
Example:
+
Beispiel:
  
 
{{Code|code=
 
{{Code|code=
Line 130: Line 127:
 
=== Parametrische Anordnung ===
 
=== Parametrische Anordnung ===
  
The basic signature is as follows:
+
Die Grundsignatur lautet wie folgt:
  
 
{{Code|code=
 
{{Code|code=
Line 149: Line 146:
 
}}
 
}}
  
<div class="mw-translate-fuzzy">
+
* Erstellt ein {{incode|Array}} Objekt aus dem angegebenen {{incode|Basisobjekt}}.
* Erstellt eine Anordnung des angegebenen Objekts
+
* Im Falle eines rechteckigen Arrays bestimmen {{incode|xvector}}, {{incode|yvector}} und {{incode|zvector}} den Abstand zwischen den Basispunkten jeder Kopie in X-, Y- und Z-Richtung; und {{{incode|xnum}}, {{incode|ynum}} und {{incode|znum}} sind die Anzahl der Kopien in der jeweiligen Richtung.
** im Falle einer rechteckigen Anordnung, ''xnum'' von Iterationen in der X-Richtung mit Abstand ''xvector'' zwischen den Iterationen und das Gleiche für die Y-Richtung mit ''ynum'' und ''yvector'' sowie in die Z-Richtung mit ''znum'' und ''zvector'', falls diese Version verwendet wird
+
* Im Falle eines polaren Arrays definiert {{incode|center}} den Mittelpunkt des Array-Kreises, {{incode|totalangle}} ist der Winkel des Bogens in Grad, der mit Kopien abgedeckt werden soll, und {{incode|totalnum}}} ist die Anzahl der Kopien, die um den Kreis herum angeordnet werden sollen, einschließlich des Originalobjekts.
** im Falle einer polaren Anordnung ist ''center'' ein Vektor, ''totalangle'' ist der abzudeckende Winkel (in Grad) und ''totalnum'' ist die Anzahl der Objekt, inklusive dem Original.
 
* Das Ergebnis dieser Funktion ist ein parametrische Draft Anordnungsobjekt
 
</div>
 
  
 
Beispiel:
 
Beispiel:
Line 170: Line 164:
 
}}
 
}}
  
<div class="mw-translate-fuzzy">
 
 
{{Docnav/de
 
{{Docnav/de
 
|[[Draft_Draft2Sketch/de|Entwurf zu Skizze]]
 
|[[Draft_Draft2Sketch/de|Entwurf zu Skizze]]
 +
|[[Draft_LinkArray|Verknüpfe Anordnung]]
 
|[[Draft_PathArray/de|PfadDatenfeld]]
 
|[[Draft_PathArray/de|PfadDatenfeld]]
|[[Draft_Module/de|Draft-Arbeitsbereich]]
+
|[[Draft_Module/de|Draft Arbeitsbereich]]
 
|IconL=Draft_Draft2Sketch.svg
 
|IconL=Draft_Draft2Sketch.svg
 
|IconC=Workbench_Draft.svg
 
|IconC=Workbench_Draft.svg
 
|IconR=Draft_PathArray.svg
 
|IconR=Draft_PathArray.svg
 
}}
 
}}
</div>
 
  
 
{{Draft Tools navi/de}}
 
{{Draft Tools navi/de}}

Latest revision as of 20:30, 29 January 2020

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎svenska • ‎Türkçe

Official icon not found {{{Name/de}}}

Menüeintrag
Entwurf → Anordnung
Arbeitsbereich
Draft, Arch
Standardtastenkürzel
None
In der Version eingeführt
-
Siehe auch
PfadDatenfeld, Draft PointArray, Draft Klonen


Beschreibung

Das Entwurf Anordnung Werkzeug erzeugt eine orthogonale (3-Achsen), polare oder kreisförmige Anordnung aus einem ausgewählten Objekt.

Dieses Werkzeug kann für 2D Formen verwendet werden, die mit der Entwurf Arbeitsbereich erstellt wurden, aber auch für viele Arten von 3D Objekten, wie sie mit der Part Arbeitsbereich oder PartDesign Arbeitsbereich erstellt wurden.

Um direkt polare und kreisförmige Anordnungen zu erstellen, verwende die entsprechenden Werkzeuge PolarAnordnung und KreisAnordnung; um Kopien entlang eines Pfades zu positionieren, verwende PfadAnordnung; um Kopien an bestimmten Punkten zu positionieren, verwende PunktAnordnung; um Kopien oder Klone zu erstellen und manuell zu platzieren, verwende Bewegen, Drehen und Klonen.

Um Anwendungsverknüpfungen anstelle von einfachen Kopien zu erstellen, verwende VerknüpfungAnordnung, Pfad VerknüpfungAnordnung und die entsprechende Option mit PolarAnordnung und KreisAnordnung .

Draft Array example.png Draft PolarArray example.png

Eine rechtwinklige und eine kreisförmige Anordnung aus einem Festkörperobjekt


Draft CircularArray example.png

Kreisförmiges Anordnung aus einem Festkörperobjekt


Kurzanleitung

  1. Wähle ein Objekt aus, mit dem Du ein Array erstellen möchtest.
  2. Drücke den Draft Array.svg Entwurf Anordnung Schaltfläche . Wenn kein Objekt gewählt ist, wirst Du aufgefordert, eines auszuwählen.
  3. Das Anordnungsobjekt wird sofort erstellt. Du musst die Eigenschaften der Anordnung ändern, um die Anzahl und Richtung der erstellten Kopien zu ändern.

Jedes Element in der Anordnung ist ein genauer Klon des ursprünglichen Objekts, aber die gesamte Anordnung wird in Bezug auf Eigenschaften und Aussehen als eine einzige Einheit betrachtet.

Optionen

Es gibt keine Optionen für dieses Werkzeug. Entweder funktioniert es mit den ausgewählten Objekten oder nicht.

Eigenschaften

  • Daten-EigenschaftBase: beschreibt das zu duplizierende Objekt in der Anordnung.
  • Daten-EigenschaftArray Type (Aufzählung): gibt den Typ der zu erstellenden Anordnung an, "ortho", "polar", oder "circular".
  • Daten-EigenschaftVerschmelzen: wenn es True ist und die Kopien sich überschneiden, werden sie zu einer einzigen Form zusammengefügt.

Für orthogonale Anordnungen:

  • Daten-EigenschaftIntervall X: gibt das Intervall zwischen den einzelnen Kopien auf der X Achse an.
  • Daten-EigenschaftIntervall Y: gibt das Intervall zwischen den einzelnen Kopien auf der Y-Achse an.
  • Daten-EigenschaftIntervall Z: gibt das Intervall zwischen den einzelnen Kopien auf der Z-Achse an.
  • Daten-EigenschaftAnzahl X: gibt die Anzahl der Kopien auf der X-Achse an.
  • Daten-EigenschaftAnzahl Y: gibt die Anzahl der Kopien auf der Y-Achse an.
  • Daten-EigenschaftAnzahl Z: gibt die Anzahl der Kopien auf der Z-Achse an.

Für polare Anordnungen:

  • Daten-EigenschaftAchse: gibt die normalen Richtung des Anordnungskreises an.
  • Daten-EigenschaftMittelpunkt: gibt den Mittelpunkt des Anordnungskreises an.
  • Daten-EigenschaftWinkel: gibt die Öffnung des Kreisbogens an, der mit Kopien abgedeckt werden soll; verwende 360, um einen ganzen Kreis abzudecken.
  • Daten-EigenschaftAnzahl Polar: gibt die Anzahl der Kopien an, die in der kreisförmigen Anordnung platziert werden sollen.
  • Daten-EigenschaftIntervallachse: gibt das Intervall zwischen den einzelnen Kopien in Richtung Daten-EigenschaftAchse an.

Für kreisförmige Anordnungen:

  • Daten-EigenschaftAnzahl Kreise:
  • Daten-EigenschaftRadialer Abstand:
  • Daten-EigenschaftSymmetrie:
  • Daten-EigenschaftTangentialer Abstand:

Die Zahleneigenschaft, entweder X, Y, Z oder Polar, umfasst auch das ursprüngliche Objekt, so dass diese Zahl mindestens eins sein wird.

Ein Intervall ist kein einfacher Abstand, sondern ein Vektor (x, y, z). Wenn mehr als ein Wert ungleich Null ist, wird die Kopie in der Hauptrichtung erstellt, aber auch in die anderen, von Null verschiedenen Richtungen verschoben.

Wenn z.B. Daten-EigenschaftIntervall X (2 m, 1 m, 1 m) ist und Daten-EigenschaftAnzahl X 3 ist, werden 3 Kopien in X Richtung erstellt; die erste Kopie befindet sich an der Originalposition, die zweite wird um 2 m auf X, 1 m auf Y und 1 m auf Z verschoben; die dritte Kopie wird um 4 m auf X, 2 m auf Y und 2 m auf Z verschoben. Jedes Array-Element wird neben der Haupt X Richtung leicht zur Seite (Y Richtung) und nach oben (Z Richtung) verschoben.

Die Eigenschaft Daten-EigenschaftIntervallachse funktioniert auf die gleiche Weise. Wenn die ursprüngliche Form auf der XY Ebene liegt, wird mit Daten-EigenschaftIntervallachse eine polare Anordnung mit (0, 0, z) erzeugt die es dir ermöglicht, spiralförmige Anordnungen zu bilden.

Skripten

Siehe auch: Draft API und FreeCAD Skripten Gundlagen.

Das Anordnungswerkzeug kann in Makros und von der Python Konsole aus verwendet werden, indem du zwei verschiedene Funktionen verwendest, je nachdem, ob du eigenständige Kopien deines Basisobjekts oder ein parametrisches Anordnungsobjekt, das mit dem Originalobjekt verbunden bleibt, erhalten möchten.

Einfache Anordnung

Die Grundsignatur lautet wie folgt:

array_list = array(objectslist, arg1, arg2, arg3, arg4=None, arg5=None, arg6=None)

Um eine rechteckige Anordnung zu erstellen, verwende es wie folgt:

array_list = array(objectslist, xvector, yvector, xnum, ynum)
array_list = array(objectslist, xvector, yvector, zvector, xnum, ynum, znum)

Um eine Polaranordnung zu erstellen, verwende es wie folgt:

array_list = array(objectslist, center, totalangle, totalnum)
  • Erstellt eine Anordnung aus den in objectslist enthaltenen Objekten, das ein einzelnes Objekt oder eine Liste von Objekten sein kann.
  • Im Falle einer rechteckigen Anordnung bestimmen xvector, yvector und zvector den Abstand zwischen den Basispunkten jeder Kopie in X-, Y- und Z-Richtung; und xnum, ynum und znum sind die Anzahl der Kopien in der jeweiligen Richtung.
  • Im Falle einer polaren Anordnung definiert center den Mittelpunkt des Anordnungskreises, totalangle ist der Winkel des Bogens in Grad, der mit Kopien abgedeckt werden soll, und totalnum ist die Anzahl der Kopien, die um den Kreis herum angeordnet werden sollen, einschließlich des Originalobjekts.
  • array_list wird mit den neuen Kopien zurückgegeben.
    • array_list ist entweder ein einzelnes Objekt oder eine Liste von Objekten, abhängig von der Eingabe objectslist.

Diese Funktion verwendet intern Draft.move() und Draft.rotate() mit copy=True.

Beispiel:

import FreeCAD, Draft

Rect = Draft.makeRectangle(1500, 500)

array_list = Draft.array(Rect, FreeCAD.Vector(1600, 0, 0), FreeCAD.Vector(0, 600, 0), 3, 4)

Parametrische Anordnung

Die Grundsignatur lautet wie folgt:

Array = makeArray(baseobject, arg1, arg2, arg3, arg4=None, arg5=None, arg6=None, name="Array")

Zur Erstellung einer rechtwinkligen Anordnung benutze es wie folgt:

Array = makeArray(baseobject, xvector, yvector, xnum, ynum, name="Array")
Array = makeArray(baseobject, xvector, yvector, zvector, xnum, ynum, znum, name="Array")

Zur Erstellung einer polaren Anordnung benutze es wie folgt:

Array = makeArray(baseobject, center, totalangle, totalnum, name="Array")
  • Erstellt ein Array Objekt aus dem angegebenen Basisobjekt.
  • Im Falle eines rechteckigen Arrays bestimmen xvector, yvector und zvector den Abstand zwischen den Basispunkten jeder Kopie in X-, Y- und Z-Richtung; und {xnum, ynum und znum sind die Anzahl der Kopien in der jeweiligen Richtung.
  • Im Falle eines polaren Arrays definiert center den Mittelpunkt des Array-Kreises, totalangle ist der Winkel des Bogens in Grad, der mit Kopien abgedeckt werden soll, und totalnum} ist die Anzahl der Kopien, die um den Kreis herum angeordnet werden sollen, einschließlich des Originalobjekts.

Beispiel:

import FreeCAD, Draft

Rect = Draft.makeRectangle(1500, 500)
xvector = FreeCAD.Vector(1600, 0, 0)
yvector = FreeCAD.Vector(0, 600, 0)
Array = Draft.makeArray(Rect, xvector, yvector, 3, 4)

Tri = Draft.makePolygon(3, 600)
center = FreeCAD.Vector(-1600, 0, 0)
Array2 = Draft.makeArray(Tri, center, 360, 6)